summaryrefslogtreecommitdiffstats
path: root/tozt/tozt/files/post-receive
diff options
context:
space:
mode:
Diffstat (limited to 'tozt/tozt/files/post-receive')
-rwxr-xr-xtozt/tozt/files/post-receive8
1 files changed, 8 insertions, 0 deletions
diff --git a/tozt/tozt/files/post-receive b/tozt/tozt/files/post-receive
new file mode 100755
index 0000000..2f26f7c
--- /dev/null
+++ b/tozt/tozt/files/post-receive
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+mkdir -p info/web
+git for-each-ref --sort=committerdate --format='%(committerdate)' refs/heads | tail -n1 > info/web/last-modified
+
+git push --mirror github